:root {
    --body-padding: 200px;
    /* colours */
    --colour-primary: #000435;
    --colour-secondary: #7b7c81;
}

* {
    box-sizing: border-box;
}

body {
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    font-family: ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif;
    font-size: 1em;
}

body>* {
    min-width: 320px;
    width: 100%;
}

body>hr {
    height: 1px;
    background-color: var(--colour-secondary);
    border: none
}

body>hr:last-of-type {
    margin-top: 5em;
}

/* navigation */
nav {
    color: var(--colour-secondary);
    margin-bottom: 1em;
}

nav a {
    text-decoration: none;
    color: var(--colour-secondary);
}

nav a:hover {
    color: var(--colour-primary);
}



#site-header {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

#site-header div {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#site-header nav {
    display: flex;
    flex-grow: 1;
    justify-content: flex-end;
    align-items: center;
    gap: 1em;
    display: flex;
    padding-top: 1em;
}

#site-footer {
    display: flex;
    align-items: center;
    flex-direction: column;
    gap: 0.5rem;
    padding-top: 2.5rem;
    padding-bottom: 2.5rem;
    color: var(--colour-secondary);
}

#site-footer nav {
    display: flex;
    gap: 1rem;
    align-items: center;
}


/* ***************************** */
article {
    hyphens: auto;
    overflow-wrap: break-word;
}

article header {
    text-align: center;
}

.articles-list {
    max-width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-around;
    gap: 2em;
}

.articles-list a {
    display: flex;
    flex-direction: column;
    justify-content: start;
    text-decoration: none;
    color: var(--colour-primary);
}

.articles-list a:hover {
    color: var(--colour-secondary);
    text-decoration: underline;
}

.articles-list .image-frame {
    max-width: 300px;
}


/* images */
.image-frame {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.image-frame img {
    border: 10px solid white;
    outline: 2px solid black;
    max-width: 100%;
    max-height: 100%;

    object-fit: contain;
    margin-left: auto;
    margin-right: auto;
}

.image-frame.fill-screen {
    height: 100vh;
    max-height: 100vh;
}

.image-frame .caption {
    margin-top: 0.2em;
    padding: 0.2em;
}

.image-frame .caption.left {
    text-align: left;
}

.image-frame .caption.right {
    text-align: right;
}

.image-frame .caption.center {
    text-align: center;
}

.instagram img {
    opacity: 0.3;
}

.instagram:hover img {
    opacity: 0.8;
}

/* quote */
.quote-container {
    margin: 1em 0 1em 0;
    display: flex;
    justify-content: flex-end;
    flex-direction: column;
}

.quote-container span {
    text-align: right;
}

.quote-container .quote {
    font-style: italic;
    color: var(--colour-primary);
}

.quote-container .quote::before,
.quote-container .quote::after {
    content: '"';
}

.quote-container .author {
    font-style: italic;
    color: var(--colour-secondary);
}

.from-template {
    max-width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 2em;
    margin-bottom: 2em;
}

.from-template .image-frame {
    flex: 1 1 100%;
}

.from-template p {
    flex-basis: 100%;
    flex-grow: 2;
    width: 100%;
    padding: 0;
    margin: 0;
}


/* fancybox */
.fancybox__backdrop {
    /* background: rgba(255, 255, 255, 1) !important; */
    background: gray !important;
}

.f-caption {
    text-align: center;
}


@media (min-width: 768px) {
    body>* {
        min-width: 768px;
        max-width: 80%;
    }

    #site-header {
        flex-direction: row !important;
    }

    #site-header div {
        align-items: start !important;
    }

    .articles-list a {
        flex: 0 1 30%;
    }

    .with-image .image-frame {
        float: right;
        margin: 0 1em 1em 1em;
        width: 300px;
    }

    .from-template .image-frame {
        flex: 1 1 40%;
        max-height: 100vh;
    }
}